<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="Episode"
            type="com.dn.kotlintv.core.data.local.model.Episode" />
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="116dp"
        android:layout_marginLeft="5dp"
        >

        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="110dp"
            android:layout_centerInParent="true"
            android:layout_gravity="center"
            android:background="@color/episode_bg"
            app:cardCornerRadius="4dp"
            app:cardElevation="3dp">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ImageView
                    android:id="@+id/item_checkbox"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:src="@drawable/list_ckeck_off"
                    android:visibility="gone"
                    />

                <ImageView
                    android:id="@+id/item_thumbnail"
                    android:layout_width="142dp"
                    android:layout_height="80dp"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="5dp"
                    android:layout_toRightOf="@+id/item_checkbox"
                    app:imageUrl="@{Episode.thumbnail}" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="15dp"
                    android:layout_marginTop="15dp"
                    android:layout_toRightOf="@+id/item_thumbnail">

                    <TextView
                        android:id="@+id/item_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:maxLines="2"
                        android:text="@{Episode.title}"
                        android:textColor="@color/txt_program_title"
                        android:textSize="12sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/item_desc"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/item_title"
                        android:layout_marginTop="4dp"
                        android:maxLines="2"
                        android:text="@{Episode.description}"
                        android:textColor="@color/txt_program_remind"
                        android:textSize="12sp" />

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentBottom="true"
                        android:layout_marginBottom="15dp"
                        >

                        <ImageView
                            android:id="@+id/img_triangle"
                            android:layout_width="10dp"
                            android:layout_height="10dp"
                            android:layout_alignParentLeft="true"
                            android:layout_marginTop="5dp"
                            android:src="@drawable/triangle" />

                        <TextView
                            android:id="@+id/createdBy"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_toRightOf="@+id/img_triangle"
                            android:maxLines="2"
                            android:text="@{Episode.createBy}"
                            android:textColor="@color/txt_created"
                            android:textSize="12sp" />
                    </RelativeLayout>
                </RelativeLayout>
            </RelativeLayout>
        </androidx.cardview.widget.CardView>
    </RelativeLayout>
</layout>